### org.jfree.layouting.input.style

# Class StyleSheetUtility

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleSheetUtility`

`public class StyleSheetUtility`
`extends java.lang.Object`

Creation-Date: Dec 3, 2006, 3:29:10 PM

Author:
  Thomas Morgner

  ## Method Summary

  `static CSSPageRule`

  `createRuleForPage(StyleSheet style, PageFormat format)`

  `static PageFormat`

  `getPageFormat(CSSPageRule rule)`

  `static void`

  `updateRuleForPage(CSSPageRule rule, PageFormat format)`

## Method Details

### createRuleForPage

    public static CSSPageRule createRuleForPage(StyleSheet style,
                                                PageFormat format)

### getPageFormat

    public static PageFormat getPageFormat(CSSPageRule rule)

### updateRuleForPage

    public static void updateRuleForPage(CSSPageRule rule,
                                         PageFormat format)